Subject: Re: [PATCH v2 0/3] net: mdio: mdio-thunder: MDIO clock related changes for Marvell Octeon Family.

From: Jakub Kicinski <[email-masked]>
Date: Tue, 31 May 2022 20:54:38 -0700

On Mon, 30 May 2022 05:53:25 -0700 Piyush Malgujar wrote:
> This patch series mdio changes are pertaining to Marvell Octeon family.
> 
> 1) clock gating:
> 	The purpose of this change is to apply clock gating for MDIO clock
> 	when there is no transaction happening. This will stop the MDC
> 	clock toggling in idle scenario.
> 
> 2) Marvell MDIO clock frequency attribute change:
> 	This MDIO change provides an option for user to have the bus speed
> 	set to their needs. The clock-freq for Marvell Octeon defaults to
> 	3.125 MHz and not 2.5 MHz as standard. In case someone needs to use
> 	this attribute, they have to add an extra attribute
> 	"clock-frequency" in the mdio entry in their DTS and this driver
> 	will do the rest.
>         The changes are made in a way that the clock will set to the
> 	nearest possible value based on the clock calculation and required
> 	frequency from DTS.
>         
> These changes has been verified internally with Marvell Octeon series.

Thanks for the patches, this does not sound like a fix tho and we're in
the middle of a merge window, so please repost on/after Monday.